const axios = require('axios');const OutboxApiFp = require('@alohi/faxplus-api').OutboxApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function bulkUpdateOutboxFaxes() { const reqParams = { "userId": "self", "bulkOutboxUpdateRequest": { "ids": [ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc" ], "comment": "updated via bulk" } }; const req = await OutboxApiFp(config).bulkUpdateOutboxFaxes(reqParams); const resp = await req(axios);}bulkUpdateOutboxFaxes();
from faxplus import ApiClient, OutboxApi, BulkOutboxUpdateRequestfrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = OutboxApi(api_client)payload = BulkOutboxUpdateRequest( ids=[ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc", ], comment="updated via bulk",)resp = api.bulk_update_outbox_faxes(user_id="self", body=payload)
# You can also use wgetcurl -X PUT "https://restapi.fax.plus/v3/accounts/self/outbox" \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: YOUR_CLIENT_ID' \ -d '{ "ids": [ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc" ], "comment": "updated via bulk" }'
Bulk update multiple outbox fax records (update comment). Maximum 100 outbox fax IDs per request. Duplicate IDs are automatically ignored. Jobs in ‘sending’ status cannot be updated and will return a 409 status code. (Permitted scopes: fax:all:edit, fax:fax:edit)
PUT
/
accounts
/
{user_id}
/
outbox
const axios = require('axios');const OutboxApiFp = require('@alohi/faxplus-api').OutboxApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function bulkUpdateOutboxFaxes() { const reqParams = { "userId": "self", "bulkOutboxUpdateRequest": { "ids": [ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc" ], "comment": "updated via bulk" } }; const req = await OutboxApiFp(config).bulkUpdateOutboxFaxes(reqParams); const resp = await req(axios);}bulkUpdateOutboxFaxes();
from faxplus import ApiClient, OutboxApi, BulkOutboxUpdateRequestfrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = OutboxApi(api_client)payload = BulkOutboxUpdateRequest( ids=[ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc", ], comment="updated via bulk",)resp = api.bulk_update_outbox_faxes(user_id="self", body=payload)
# You can also use wgetcurl -X PUT "https://restapi.fax.plus/v3/accounts/self/outbox" \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: YOUR_CLIENT_ID' \ -d '{ "ids": [ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc" ], "comment": "updated via bulk" }'
const axios = require('axios');const OutboxApiFp = require('@alohi/faxplus-api').OutboxApiFp;const Configuration = require('@alohi/faxplus-api').Configuration;const config = new Configuration({ accessToken: accessToken, basePath: 'https://restapi.fax.plus/v3', // Header required only when using the OAuth2 token scheme baseOptions: { headers: { "x-fax-clientid": clientId, } }});async function bulkUpdateOutboxFaxes() { const reqParams = { "userId": "self", "bulkOutboxUpdateRequest": { "ids": [ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc" ], "comment": "updated via bulk" } }; const req = await OutboxApiFp(config).bulkUpdateOutboxFaxes(reqParams); const resp = await req(axios);}bulkUpdateOutboxFaxes();
from faxplus import ApiClient, OutboxApi, BulkOutboxUpdateRequestfrom faxplus.configuration import Configurationconf = Configuration()conf.access_token = access_token# header_name and header_value required only when using the OAuth2 token schemeapi_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)api = OutboxApi(api_client)payload = BulkOutboxUpdateRequest( ids=[ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc", ], comment="updated via bulk",)resp = api.bulk_update_outbox_faxes(user_id="self", body=payload)
# You can also use wgetcurl -X PUT "https://restapi.fax.plus/v3/accounts/self/outbox" \ -H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}' \ # The x-fax-clientid header is required only when using the OAuth2 token scheme -H 'x-fax-clientid: YOUR_CLIENT_ID' \ -d '{ "ids": [ "a1b2c3d4e5f6789012345678901234ab", "b2c3d4e5f6789012345678901234abc" ], "comment": "updated via bulk" }'